[SciPy-user] New SciPy release?

Ed Schofield schofield at ftw.at
Tue Mar 14 09:54:32 CST 2006


Bill Baxter wrote:
> Just wondering, does this one also require an update to scipy?
> And in general do numpy updates always require an update to scipy, too?
> Or is it only when the numpy C API interface changes?

Nadav Horesh wrote:
> There is a compatibility problem, at least with the last formal release of scipy. Should we checkout and compile scipy from svn?
>   
I think a recompilation of the current SciPy (0.4.6) against the new
NumPy version would also be fine, but I'm not sure about this.

I could make a new SciPy release this weekend if people are happy with
that.  The main need is for NumPy compatibility, but we also have a new
image package, new sparse matrix functionality, and quite a lot of fixes...

-- Ed



More information about the SciPy-user mailing list